package de.visone.nlpext;

import org.apache.log4j.Logger;

import java.io.IOException;

import de.visone.base.Mediator;
import de.visone.ext.Extension;
import de.visone.ext.ExtensionService;

public class NLPExtensionService implements ExtensionService {

    private static final Logger LOGGER = Logger.getLogger(NLPExtensionService.class);
    @Override
    public Extension makeExtension(Mediator mediator) {
        try {
            return new NLPExtension(mediator);
        } catch (IOException e) {
            LOGGER.warn("Could not load NLP extension.", e);
            return null;
        }
    }
  
    @Override
    public String getMainClassName() {
        return NLPExtension.class.getCanonicalName();
    }

}
